#pragma once
#include "staticwindow.h"
#include "textbox.h"
#include "timebox.h"
#include "datebox.h"
#include "skinnablelistbox.h"

class EditEventWindow :
	public StaticWindow
{
public:
	EditEventWindow();
	~EditEventWindow();

	virtual int Create(HWND parent = 0);
	virtual void OnButton(HWND h);
	virtual void OnNotify(int idCtrl, NMHDR * pnmh);
	void DeepRefresh(int eventId);
	virtual void OnCustomNotify(int id, Notification& n);

	TextBox EventName;
	TextBox Description;
	SkinnableListBox Location;
	SkinnableListBox Category;
	SkinnableListBox Group;
	DateBox StartDate;
	TimeBox StartTime;
	DateBox EndDate;
	TimeBox EndTime;
	CheckBox Eternal;
	CheckBox Private;
	TextBox CanViews;
	TextBox Keywords;
	TextBox OtherLocation;

#ifdef ENABLEEVENTTRACKTIME
	CheckBox TrackingEternal;
	DateBox TrackingStartDate;
	TimeBox TrackingStartTime;
	DateBox TrackingEndDate;
	TimeBox TrackingEndTime;
#endif

	TextBox status;

	// the list item styles
	Appearance LocationStyle;
	Appearance CategoryStyle;
	Appearance GroupStyle;

	SkinnableButton update, cancel, eventdelete;

	EventRecord record;
};